# FModifierEnvelopeControlPoints(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``FModifierEnvelopeControlPoints`(bpy_struct)

  Control points defining the shape of the envelope

  `add`(frame)

    Add a control point to a FModifierEnvelope

    Parameters: | frame (float in [-inf, inf]) – Frame to add this control-point
    Returns: | Newly created control-point
    Return type: | `FModifierEnvelopeControlPoint`

  `remove`(point)

    Remove a control-point from an FModifierEnvelope

    Parameters: | point (`FModifierEnvelopeControlPoint`, (never None)) – Control-point to remove

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`FModifierEnvelope.control_points` |